//Calendar implementation for the HTWK Leipzig timetable. Evaluation and display of the individual dates in iCal format.
//Copyright (C) 2024 HTWKalender support@htwkalender.de

//This program is free software: you can redistribute it and/or modify
//it under the terms of the GNU Affero General Public License as published by
//the Free Software Foundation, either version 3 of the License, or
//(at your option) any later version.

//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU Affero General Public License for more details.

//You should have received a copy of the GNU Affero General Public License
//along with this program.  If not, see <https://www.gnu.org/licenses/>.

package test

import (
	"github.com/pocketbase/pocketbase"
	"github.com/pocketbase/pocketbase/tests"
	"htwkalender/data-manager/model/serviceModel"
	"htwkalender/data-manager/service"
	"net/http"
	"testing"
)

const testDataDir = "../mockData"

func TestDeleteFeed(t *testing.T) {

	setupTestApp := func(t testing.TB) *tests.TestApp {
		testApp, err := tests.NewTestApp(testDataDir)
		if err != nil {
			t.Fatal(err)
		}

		base := &pocketbase.PocketBase{App: testApp}

		services := serviceModel.Service{App: base}

		service.AddRoutes(services)

		return testApp
	}

	scenarios := []tests.ApiScenario{
		{
			Name:            "TestDeleteFeed",
			Method:          "DELETE",
			URL:             "/api/v1/feeds/fkoqti06ohlnsb8",
			ExpectedStatus:  http.StatusNotFound,
			ExpectedContent: []string{"\"data\":{},\"message\":\"The requested resource wasn't found.\",\"status\":404"},
			TestAppFactory:  setupTestApp,
		},
	}

	for _, scenario := range scenarios {
		scenario.Test(t)
	}
}
